package com.fs.store.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.store.mapper.FsShippingTemplatesRegionMapper;
import com.fs.store.domain.FsShippingTemplatesRegion;
import com.fs.store.service.IFsShippingTemplatesRegionService;

/**
 * 邮费区域Service业务层处理
 * 
 * @author fs
 * @date 2022-03-15
 */
@Service
public class FsShippingTemplatesRegionServiceImpl implements IFsShippingTemplatesRegionService 
{
    @Autowired
    private FsShippingTemplatesRegionMapper fsShippingTemplatesRegionMapper;

    /**
     * 查询邮费区域
     * 
     * @param id 邮费区域ID
     * @return 邮费区域
     */
    @Override
    public FsShippingTemplatesRegion selectFsShippingTemplatesRegionById(Long id)
    {
        return fsShippingTemplatesRegionMapper.selectFsShippingTemplatesRegionById(id);
    }

    /**
     * 查询邮费区域列表
     * 
     * @param fsShippingTemplatesRegion 邮费区域
     * @return 邮费区域
     */
    @Override
    public List<FsShippingTemplatesRegion> selectFsShippingTemplatesRegionList(FsShippingTemplatesRegion fsShippingTemplatesRegion)
    {
        return fsShippingTemplatesRegionMapper.selectFsShippingTemplatesRegionList(fsShippingTemplatesRegion);
    }

    /**
     * 新增邮费区域
     * 
     * @param fsShippingTemplatesRegion 邮费区域
     * @return 结果
     */
    @Override
    public int insertFsShippingTemplatesRegion(FsShippingTemplatesRegion fsShippingTemplatesRegion)
    {
        return fsShippingTemplatesRegionMapper.insertFsShippingTemplatesRegion(fsShippingTemplatesRegion);
    }

    /**
     * 修改邮费区域
     * 
     * @param fsShippingTemplatesRegion 邮费区域
     * @return 结果
     */
    @Override
    public int updateFsShippingTemplatesRegion(FsShippingTemplatesRegion fsShippingTemplatesRegion)
    {
        return fsShippingTemplatesRegionMapper.updateFsShippingTemplatesRegion(fsShippingTemplatesRegion);
    }

    /**
     * 批量删除邮费区域
     * 
     * @param ids 需要删除的邮费区域ID
     * @return 结果
     */
    @Override
    public int deleteFsShippingTemplatesRegionByIds(Long[] ids)
    {
        return fsShippingTemplatesRegionMapper.deleteFsShippingTemplatesRegionByIds(ids);
    }

    /**
     * 删除邮费区域信息
     * 
     * @param id 邮费区域ID
     * @return 结果
     */
    @Override
    public int deleteFsShippingTemplatesRegionById(Long id)
    {
        return fsShippingTemplatesRegionMapper.deleteFsShippingTemplatesRegionById(id);
    }

    @Override
    public List<FsShippingTemplatesRegion> selectFsShippingTemplatesRegionListByTempIdsAndCityIds(String tempIds, String cityIds) {
        return fsShippingTemplatesRegionMapper.selectFsShippingTemplatesRegionListByTempIdsAndCityIds(tempIds,cityIds);
    }
}
